---

- include: 'debian.yml'
  when: ansible_distribution == 'Debian'

- name: "Setup compiler user"
  include: "compiler.yml"

- name: "Setup {{ packagemanager.key }} packages"
  include_role:
    name: ".{{ packagemanager.key }}"
  loop: "{{ packages|default({})|dict2items }}"
  loop_control:
    loop_var: packagemanager

# Make SSH more secure
- include: "ssh.yml"
# Bootstrap letsencrypt
- include: "letsencrypt.yml"
